### Class

# Clutter Backend

#### Description [src]

    abstract class Clutter.Backend : GObject.Object
    {
      /* No available fields */
    }

Backend abstraction

Clutter can be compiled against different backends. Each backend has to implement a set of functions, in order to be used by Clutter.

`ClutterBackend` is the base class abstracting the various implementation; it provides a basic API to query the backend for generic information and settings.

#### Ancestors

- GObject

#### Instance methods

###### clutter_backend_get_cogl_context

Retrieves the `CoglContext` associated with the given clutter `backend`. A `CoglContext` is required when using some of the experimental 2.0 Cogl API.

###### clutter_backend_get_default_seat

Returns the default seat.

###### clutter_backend_get_input_method

Returns the input method used by Clutter.

###### clutter_backend_get_resolution

Gets the resolution for font handling on the screen.

###### clutter_backend_set_input_method

Sets the input method to be used by Clutter.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.Backend:context

No description available.

#### Signals

###### Clutter.Backend::font-changed

The signal is emitted each time the font options have been changed through `ClutterSettings`.

###### Clutter.Backend::resolution-changed

The signal is emitted each time the font resolutions has been changed through `ClutterSettings`.

###### Clutter.Backend::settings-changed

The signal is emitted each time the `ClutterSettings` properties have been changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterBackendClass {
      /* no available fields */
    }

No description available.